[tool.poetry]
name = "cv-analysis"
version = "0.1.0"
description = ""
authors = []
readme = "README.md"
packages = [{include = "cv_analysis"}]

[tool.poetry.dependencies]
python = "~3.8"
envyaml = "^1.10.211231"
Flask = "^2.1.1"
waitress = "^2.0.0"
funcy = "^1.17"
numpy = "^1.22.3"
opencv-python-headless = "^4.5.5.62"
pdf2image = "^1.16.0"
matplotlib = "^3.5.1"
imutils = "^0.5.4"
iteration-utilities = "^0.11.0"
dvc = "^2.34.0"
dvc-ssh = "^2.20.0"
scipy = "^1.8.0"
coverage = "^5.5"
dependency-check = "^0.6.0"
lorem-text = "^2.1"
PyMuPDF = "^1.19.6"

pdf2img = {git = "ssh://git@git.iqser.com:2222/rr/pdf2image.git", branch = "master"}
pyinfra = {git = "ssh://git@git.iqser.com:2222/rr/pyinfra.git", branch = "master"}
loguru = "^0.6.0"

[tool.poetry.group.build.dependencies]
pytest = "^7.0.1"


[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
